from pydantic_settings import BaseSettings, SettingsConfigDict

class Config(BaseSettings):
    model_config = SettingsConfigDict(env_file=".env")

    api_server: str
    api_token: str
    server_id: str
    save_dir: str

cfg = Config()

def get_config() -> Config:
    return Config()